Commit 911b1c87 authored by Adrien Béraud's avatar Adrien Béraud

build: update dependencies

Change-Id: I0f653d27a2f9ce492fad5cf0a02e83285a2b272e
parent 41f7c193
...@@ -77,28 +77,25 @@ android { ...@@ -77,28 +77,25 @@ android {
} }
dependencies { dependencies {
def android_support_core_version = '1.1.0' def dagger_version = '2.28.3'
def android_support_version = '1.0.0'
def material_version = '1.2.0-alpha05'
def dagger_version = '2.28.1'
implementation fileTree(include: '*.jar', dir: 'libs') implementation fileTree(include: '*.jar', dir: 'libs')
implementation project(':libringclient') implementation project(':libringclient')
implementation 'androidx.core:core:1.3.1' implementation 'androidx.core:core:1.3.1'
implementation "androidx.appcompat:appcompat:$android_support_core_version" implementation "androidx.appcompat:appcompat:1.2.0"
implementation 'androidx.constraintlayout:constraintlayout:1.1.3' implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
implementation "androidx.legacy:legacy-support-core-utils:${android_support_version}" implementation "androidx.legacy:legacy-support-core-utils:1.0.0"
implementation "androidx.cardview:cardview:${android_support_version}" implementation "androidx.cardview:cardview:1.0.0"
implementation "androidx.preference:preference:1.1.1" implementation "androidx.preference:preference:1.1.1"
implementation "androidx.recyclerview:recyclerview:${android_support_core_version}" implementation "androidx.recyclerview:recyclerview:1.1.0"
implementation "androidx.leanback:leanback:1.1.0-alpha03" implementation "androidx.leanback:leanback:1.1.0-alpha04"
implementation "androidx.leanback:leanback-preference:1.1.0-alpha03" implementation "androidx.leanback:leanback-preference:1.1.0-alpha04"
implementation "androidx.media:media:${android_support_core_version}" implementation "androidx.media:media:1.1.0"
implementation "androidx.percentlayout:percentlayout:1.0.0" implementation "androidx.percentlayout:percentlayout:1.0.0"
implementation "com.google.android.material:material:1.1.0" implementation "com.google.android.material:material:1.2.0"
implementation 'com.google.android:flexbox:1.1.1' implementation 'com.google.android:flexbox:1.1.1'
implementation 'org.osmdroid:osmdroid-android:6.1.6' implementation 'org.osmdroid:osmdroid-android:6.1.7'
// ORM // ORM
implementation 'com.j256.ormlite:ormlite-android:5.1' implementation 'com.j256.ormlite:ormlite-android:5.1'
...@@ -125,7 +122,7 @@ dependencies { ...@@ -125,7 +122,7 @@ dependencies {
implementation 'com.jsibbold:zoomage:1.2.0' implementation 'com.jsibbold:zoomage:1.2.0'
withFirebaseImplementation('com.google.firebase:firebase-messaging:20.2.3') { withFirebaseImplementation('com.google.firebase:firebase-messaging:20.2.4') {
exclude group: 'com.google.firebase', module: 'firebase-core' exclude group: 'com.google.firebase', module: 'firebase-core'
exclude group: 'com.google.firebase', module: 'firebase-analytics' exclude group: 'com.google.firebase', module: 'firebase-analytics'
exclude group: 'com.google.firebase', module: 'firebase-measurement-connector' exclude group: 'com.google.firebase', module: 'firebase-measurement-connector'
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment